Welcome to mirror list, hosted at ThFree Co, Russian Federation.

gitlab.com/gitlab-org/gitlab-foss.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.gitlab-ci.yml12
-rwxr-xr-xscripts/no-ee-check8
2 files changed, 20 insertions, 0 deletions
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 84d8e69b84e..baa3620a525 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -836,3 +836,15 @@ gitlab_git_test:
cache: {}
script:
- spec/support/prepare-gitlab-git-test-for-commit --check-for-changes
+
+no_ee_check:
+ <<: *dedicated-runner
+ <<: *except-docs-and-qa
+ variables:
+ SETUP_DB: "false"
+ before_script: []
+ cache: {}
+ script:
+ - scripts/no-ee-check
+ only:
+ - //@gitlab-org/gitlab-ce
diff --git a/scripts/no-ee-check b/scripts/no-ee-check
new file mode 100755
index 00000000000..bd53de5a949
--- /dev/null
+++ b/scripts/no-ee-check
@@ -0,0 +1,8 @@
+#!/usr/bin/env ruby
+ee_path = File.join(File.expand_path(File.dirname(__FILE__)), '../ee')
+result = Dir.exist?(ee_path)
+
+if result
+ puts 'The repository contains /ee directory. There should be no /ee directory in CE repo.'
+ exit 1
+end